
Ruby - Bug #14117

[Compile] config.sub missing in 2.5.0-preview1 pulled from GitHub

11/19/2017 11:30 PM - leam (Leam Hall)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: 2.5.0-preview1 Backport: 2.3: UNKNOWN, 2.4: UNKNOWN

Description

Updated autoconf to GNU latest (2.69). In "ruby" ran "autoconf".

When running ./configure I get:

configure: error: cannot run /bin/sh tool/config.sub

Checking tools/, there is no "config.sub".

Copying in the config.sub from 2.4.2 source seems to work so far.

History

#1 - 11/19/2017 11:40 PM - leam (Leam Hall)

- Subject changed from [Compile] config.sub missing in 2.5.0-preview1 to [Compile] config.sub missing in 2.5.0-preview1 pulled from GitHub

This issue occurs if you clone the github repo. It does not happen if you download the tar.gz file.

When running ./configure I get:

configure: error: cannot run /bin/sh tool/config.sub

Checking tools/, there is no "config.sub".

Copying in the config.sub from 2.4.2 source seems to work so far.

#2 - 11/20/2017 01:36 AM - MSP-Greg (Greg L)

When using the repo, you need:

make update-config_files

 If you have any more build questions, the .travis.yml file and the travis logs may be helpful (and also with gems, etc).

#3 - 11/20/2017 10:37 AM - leam (Leam Hall)

Greg, that works!

Of course, make update-config_files looks for an existing Ruby as well, which seems a different issue. Not sure how it would do a totally clean build.

Now I just have to figure out how to close the issue....

#4 - 11/20/2017 11:03 AM - Eregon (Benoit Daloze)

- Status changed from Open to Closed
